package com.kmall.admin.service;

import com.kmall.admin.entity.UserEntity;

import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author Scott
 * @email
 * @date 2017-08-16 15:02:28
 */
public interface UserService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    UserEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<UserEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param user 实体
     * @return 保存条数
     */
    int save(UserEntity user);

    /**
     * 根据主键更新实体
     *
     * @param user 实体
     * @return 更新条数
     */
    int update(UserEntity user);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);

    /**
     * 根据用户id判断上次活体人脸核身时间是否在可调用范围内
     * @param userId
     * @return
     */
    Map checkFaceTimeByUserId(Long userId);
}
